Skip to content

@alinefm alinefm released this Jan 7, 2020 · 6 commits to master since this release

Kimchi 3.0 depends on Wok 3.0! So make sure to have both of them properly installed in your system.

This release includes:
Transition to Python3
Bug fixes

We have worked hard to ensure that Kimchi runs well on the most popular Linux distributions including: Fedora 31, Ubuntu 19.10, Debian 10 and openSUSE LEAP 15.1. It uses standard Linux interfaces so it should run well on many other distributions too.

Quick guide on how to install

Fedora 31

# Install Wok
wget https://github.com/kimchi-project/wok/releases/download/3.0.0/wok-3.0.0-0.fc31.noarch.rpm
sudo dnf install -y ./wok-3.0.0-0.fc31.noarch.rpm

# Some Kimchi dependencies need to be installed via pip
sudo dnf install -y python3-pip

sudo -H pip3 install -r https://raw.githubusercontent.com/kimchi-project/kimchi/master/requirements-FEDORA.txt

# Install Kimchi
wget https://github.com/kimchi-project/kimchi/releases/download/3.0.0/kimchi-3.0.0-0.fc31.noarch.rpm   
sudo dnf install -y ./kimchi-3.0.0-0.fc31.noarch.rpm   

openSUSE LEAP 15.1

# Install Wok
wget https://github.com/kimchi-project/wok/releases/download/3.0.0/wok-3.0.0-0.opensuse.noarch.rpm
sudo zypper install --allow-unsigned-rpm  -y ./wok-3.0.0-0.opensuse.noarch.rpm

# Some Kimchi dependencies need to be installed via pip
sudo zypper install -y python3-pip python3-devel parted-level gcc

sudo -H pip3 install -r https://raw.githubusercontent.com/kimchi-project/kimchi/master/requirements-OPENSUSE-LEAP.txt

# Install Kimchi
wget https://github.com/kimchi-project/kimchi/releases/download/3.0.0/kimchi-3.0.0-0.noarch.rpm
sudo zypper install --allow-unsigned-rpm  -y ./kimchi-3.0.0-0.noarch.rpm

Ubuntu 19.10

# Install Wok
wget https://github.com/kimchi-project/wok/releases/download/3.0.0/wok-3.0.0-0.ubuntu.noarch.deb
sudo apt install -y ./wok-3.0.0-0.ubuntu.noarch.deb

# Some Kimchi dependencies need to be installed via pip
sudo apt install -y python3-pip pkg-config libnl-route-3-dev
sudo -H pip3 install -r https://raw.githubusercontent.com/kimchi-project/kimchi/master/requirements-UBUNTU.txt


# Install Kimchi
wget https://github.com/kimchi-project/kimchi/releases/download/3.0.0/kimchi-3.0.0-0.noarch.deb
sudo apt install -y ./kimchi-3.0.0-0.noarch.deb

Debian 10

# Install Wok
wget https://github.com/kimchi-project/wok/releases/download/3.0.0/wok-3.0.0-0.debian.noarch.deb
sudo apt install -y ./wok-3.0.0-0.debian.noarch.deb

# Some Kimchi dependencies need to be installed via pip
sudo apt install -y python3-pip pkg-config libnl-route-3-dev
sudo -H pip3 install -r https://raw.githubusercontent.com/kimchi-project/kimchi/master/requirements-UBUNTU.txt


# Install Kimchi
wget https://github.com/kimchi-project/kimchi/releases/download/3.0.0/kimchi-3.0.0-0.noarch.deb
sudo apt install -y ./kimchi-3.0.0-0.noarch.deb

Start the service and enjoy!

sudo service wokd start

Access it at https://localhost:8001
For troubleshooting, please, check:

Assets 5

@alinefm alinefm released this Aug 15, 2017 · 80 commits to master since this release

Kimchi 2.5 depends on Wok 2.5! So make sure to have both of them properly installed in your system.

This release includes:
Does not depend on Ginger Base anymore
Remove OpenSans fonts need
Move federation feature to Wok
Bug fixes

We have worked hard to ensure that Kimchi runs well on the most popular Linux distributions including: Fedora 25, Ubuntu 17.04, openSUSE LEAP 42.2, and CentOS 7. It uses standard Linux interfaces so it should run well on many other distributions too.

Quick guide on how to install

Download Wok and Kimchi packages available below and:

Fedora and CentOS

sudo yum install <wok.rpm> <kimchi.rpm>

openSUSE

sudo zypper install <wok.rpm> <kimchi.rpm>

Ubuntu and Debian

sudo dpkg -i <wok.deb> <kimchi.deb>

# If your system DOES NOT HAVE all the dependencies installed, THE ABOVE COMMAND WILL FAIL.
# To fix it and install the dependencies needed, run:
sudo apt-get install -f

Start the service and enjoy!

sudo service wokd start

Access it at https://<machine-ip>:8001
For troubleshooting, check https://github.com/kimchi-project/wok/wiki/Troubleshooting

Assets 10

@alinefm alinefm released this Aug 15, 2017 · 90 commits to master since this release

Kimchi 2.4 depends on Wok 2.4 and Ginger Base 2.3! So make sure to have both of them properly installed in your system.

This release includes:
Initial s390x systems support
Guest CPU hot plug and unplug
Live migration over RDMA
Live snapshot support
Bug fixes

We have worked hard to ensure that Kimchi runs well on the most popular Linux distributions including: Fedora 25, Ubuntu 16.10, openSUSE LEAP 42.2, and CentOS 7. It uses standard Linux interfaces so it should run well on many other distributions too.

Quick guide on how to install

Download Wok, Kimchi and Ginger Base packages available below and:

Fedora and CentOS

sudo yum install <wok.rpm> <kimchi.rpm> <gingerbase.rpm>

openSUSE

sudo zypper install <wok.rpm> <kimchi.rpm> <gingerbase.rpm>

Ubuntu and Debian

sudo dpkg -i <wok.deb> <kimchi.deb> <gingerbase.deb>

# If your system DOES NOT HAVE all the dependencies installed, THE ABOVE COMMAND WILL FAIL.
# To fix it and install the dependencies needed, run:
sudo apt-get install -f

Start the service and enjoy!

sudo service wokd start

Access it at https://<machine-ip>:8001
For troubleshooting, check https://github.com/kimchi-project/wok/wiki/Troubleshooting

Assets 14
Pre-release
Pre-release

@alinefm alinefm released this Aug 15, 2017 · 98 commits to master since this release

Entering code freeze for 2.4.0 release
Assets 2

@alinefm alinefm released this Aug 15, 2017 · 220 commits to master since this release

Kimchi 2.3.1 depends on Wok 2.3.1 and Ginger Base 2.2.2! So make sure to have both of them properly installed in your system.

We have worked hard to ensure that Kimchi runs well on the most popular Linux distributions including: Fedora 25, Ubuntu 16.10, openSUSE LEAP 42.2, and CentOS 7. It uses standard Linux interfaces so it should run well on many other distributions too.

Quick guide on how to install

Download Wok, Kimchi and Ginger Base packages available below and:

Fedora and CentOS

sudo yum install <wok.rpm> <kimchi.rpm> <gingerbase.rpm>

openSUSE

sudo zypper install <wok.rpm> <kimchi.rpm> <gingerbase.rpm>

Ubuntu and Debian

sudo dpkg -i <wok.deb> <kimchi.deb> <gingerbase.deb>

# If your system DOES NOT HAVE all the dependencies installed, THE ABOVE COMMAND WILL FAIL.
# To fix it and install the dependencies needed, run:
sudo apt-get install -f

Start the service and enjoy!

sudo service wokd start

Access it at https://<machine-ip>:8001
For troubleshooting, check https://github.com/kimchi-project/wok/wiki/Troubleshooting

Assets 14
Sep 29, 2016
Kimchi 2.3
Jun 24, 2016
Kimchi 2.2
Mar 23, 2016
Kimchi 2.1.0 (Official release)
Pre-release
Pre-release

@alinefm alinefm released this Aug 15, 2017 · 474 commits to master since this release

Entering code freeze for 2.1.0 release
Assets 2
Dec 17, 2015
Kimchi 2.0.0
You can’t perform that action at this time.